# Generating C++ code

## Classes

class | CppExpressionGenerator
| Helper class for NEDCppGenerator. More...
class | NEDCppGenerator
| NEDC functionality: generates C++ code from a NED object tree. More...

## Functions

void | generateCpp (ostream &out, ostream &outh, NEDElement *node, NEDSymbolTable *symtab)

## Function Documentation

void generateCpp | ( | ostream & | out,
|  | ostream & | outh,
|  | NEDElement * | node,
|  | NEDSymbolTable * | symtab
| ) |

| Simple front-end to NEDCppGenerator.